
/**
 * Module dependencies.
 */

var prefix = require('autoprefixer')().rework
var move = require('rework-move-media')()
var vars = require('rework-vars')()
var calc = require('rework-calc')
var rework = require('rework')

/**
 * Export `struct`
 */

module.exports = struct

/**
 * Rework a CSS `str`, or return the struct rework plugin.
 *
 * @param {String} str
 */

function struct (str) {
  if ('string' != typeof str) return plugin;

  return rework(str)
    .use(plugin)
    .toString()
}

/**
 * Rework plugins.
 *
 * @param {Object} stylesheet
 * @param {Rework} rework
 */

function plugin (stylesheet, rework) {
  rework
    .use(vars)
    .use(move)
    .use(calc)
    .use(prefix)
}
